Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hsmf.datatypes
Class DirectoryChunk

    java.lang.Object
      org.apache.poi.hsmf.datatypes.Chunk
          org.apache.poi.hsmf.datatypes.DirectoryChunk

    public class DirectoryChunk

extends Chunk

A Chunk that is just a placeholder in the MAPIMessage directory structure, which contains children. This is most commonly used with nested MAPIMessages

Field Summary

Fields inherited from class org.apache.poi.hsmf.datatypes.Chunk
`DEFAULT_NAME_PREFIX`

Constructor Summary
`DirectoryChunk(org.apache.poi.poifs.filesystem.DirectoryNode dir, java.lang.String namePrefix, int chunkId, int type)`

Method Summary
`MAPIMessage` | `getAsEmbededMessage()` Treats the directory as an embeded MAPIMessage (it normally is one), and returns a MAPIMessage object to process it with.
`org.apache.poi.poifs.filesystem.DirectoryNode` | `getDirectory()` Returns the directory entry for this chunk.
`void` | `readValue(java.io.InputStream value)` Reads the value of this chunk using an InputStream
`void` | `writeValue(java.io.OutputStream out)` Writes the value of this chunk back out again.

Methods inherited from class org.apache.poi.hsmf.datatypes.Chunk
`getChunkId, getEntryName, getType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryChunk

    public DirectoryChunk(org.apache.poi.poifs.filesystem.DirectoryNode dir,
                          java.lang.String namePrefix,
                          int chunkId,
                          int type)

Method Detail

### getDirectory

    public org.apache.poi.poifs.filesystem.DirectoryNode getDirectory()

  Returns the directory entry for this chunk. You can then use standard POIFS methods to enumerate the entries in it.

### getAsEmbededMessage

    public MAPIMessage getAsEmbededMessage()
                                    throws java.io.IOException

  Treats the directory as an embeded MAPIMessage (it normally is one), and returns a MAPIMessage object to process it with.

  Throws:
    `java.io.IOException`

### readValue

    public void readValue(java.io.InputStream value)

  Description copied from class: `Chunk`
  Reads the value of this chunk using an InputStream

  Specified by:
    `readValue` in class `Chunk`

### writeValue

    public void writeValue(java.io.OutputStream out)

  Description copied from class: `Chunk`
  Writes the value of this chunk back out again.

  Specified by:
    `writeValue` in class `Chunk`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD